> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Verification Sessions

Retrieve a list of EntityVerificationSessions for a specific Entity.

## Path Parameters

## Query Parameters

## Returns

Returns a list of EntityVerificationSessions.

```bash cURL theme={null}
curl "https://production.methodfi.com/entities/ent_yVf3mkzbhz9tj/verification_sessions" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .entities('ent_yVf3mkzbhz9tj')
  .verification_sessions
  .list();
```

```python Python theme={null}
response = method
  .entities('ent_yVf3mkzbhz9tj')
  .verification_sessions
  .list()
```

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "evf_qTNNzCQ63zHJ9",
      "entity_id": "ent_yVf3mkzbhz9tj",
      "status": "verified",
      "type": "identity",
      "method": "byo_kyc",
      "byo_kyc": {
        "authenticated": true
      },
      "error": null,
      "created_at": "2024-04-11T19:23:44.742Z",
      "updated_at": "2024-04-11T19:23:44.742Z"
    },
    {
      "id": "evf_3VT3bHTCnPbrm",
      "entity_id": "ent_yVf3mkzbhz9tj",
      "status": "verified",
      "type": "phone",
      "method": "sms",
      "sms": {
        "timestamp": "2024-04-10T16:42:03.751Z"
      },
      "error": null,
      "created_at": "2024-04-10T16:40:16.283Z",
      "updated_at": "2024-04-10T16:40:16.283Z"
    },
    {...}
  ],
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.